# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'elastomer/cli/version'

Gem::Specification.new do |spec|
  spec.name          = "elastomer-cli"
  spec.version       = Elastomer::CLI::VERSION
  spec.authors       = ["Grant Rodgers"]
  spec.email         = ["grant.rodgers@github.com"]
  spec.summary       = %q{Command line interface for elastomer}
  spec.description   = %q{}
  spec.homepage      = "https://github.com/github/elastomer-cli"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "thor"
  spec.add_runtime_dependency "terminal-table"
  spec.add_runtime_dependency "elastomer-client", "~> 0.4.0"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "vcr"
  spec.add_development_dependency "webmock"
end
