require File.expand_path('../test_helper', __FILE__)

describe Elastomer::CLI::Application do
  describe 'global options' do
    it 'should accept --url' do
      VCR.use_cassette("default_9201") do
        elastomer "cluster health --url http://localhost:9201"
        @out.must_match /Name.*elasticsearch/
      end
    end

    it 'should accept timeouts' do
      Elastomer::CLI::Application.class_options.keys.must_include :read_timeout
      Elastomer::CLI::Application.class_options.keys.must_include :open_timeout
    end
  end
end
