# Elastomer::Cli

A command-line interface to your ES cluster.

## Installation

Add this line to your application's Gemfile:

    gem 'elastomer-cli'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install elastomer-cli

## Usage

```
bin/elastomer help
bin/elastomer cluster health
bin/elastomer cluster settings
bin/elastomer cluster allocation (enable|disable)
bin/elastomer node hot_threads
bin/elastomer node list
bin/elastomer index list
bin/elastomer cat (indices|health|recovery...)
```

## Contributing

1. Fork it ( https://github.com/[my-github-username]/elastomer-cli/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
